textures/ironman/skyspawn
{
      surfaceparm noimpact
      surfaceparm nolightmap
      surfaceparm sky
      q3map_sun 1 1 1 8000 197 255
      skyparms env/ironman/spawn - -
}

textures/ironman/skyspawn2
{
      surfaceparm noimpact
      surfaceparm nolightmap
      surfaceparm sky
      q3map_sun 1 1 1 12000 197 255
      skyparms env/ironman/spawn - -
}

textures/ironman/fount
{
    surfaceparm trans	
    surfaceparm nomarks	
	surfaceparm nonsolid
	cull none
	
	q3map_fancywater 1 0.75 0.75 0.75 
	
	{
		map textures/ironman/fount.tga
        tcMod Scroll .3 2
        blendFunc GL_ONE GL_ONE
        }
}


textures/ironman/water
{
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	cull disable
	deformVertexes wave 64 sin .25 .25 0 .5	
		
	q3map_fancywater 1 0.75 0.75 0.75 
		
	{ 
		map textures/ironman/water
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod scroll .025 .01
	}
	{ 
		map textures/ironman/water
		blendFunc GL_dst_color GL_one
		tcmod scale -.5 -.5
		tcmod scroll .025 .025
	}
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}
}

textures/ironman/blueglass
{
	qer_editorimage textures/ironman/blueglass
	qer_trans 0.5
	surfaceparm nolightmap
	surfaceparm trans
	q3map_surfacelight 200
	{
		map textures/ironman/blueglass.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
}

textures/ironman/redglass
{
	qer_editorimage textures/ironman/redglass
	qer_trans 0.5
	surfaceparm nolightmap
	surfaceparm trans
	q3map_surfacelight 200
	{
		map textures/ironman/redglass.jpg
		tcGen environment
		blendfunc GL_ONE GL_ONE
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
}

textures/ironman/yellowglass
{
	qer_editorimage textures/ironman/yellowglass
	qer_trans 0.5
	surfaceparm nolightmap
	surfaceparm trans
	q3map_surfacelight 200
	{
		map textures/ironman/yellowglass.jpg
		tcGen environment
		blendfunc GL_ONE GL_ONE
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
}

//Cam
textures/ironman/camera
{
	qer_editorimage textures/ironman/camera.tga
	surfaceparm playerclip
	surfaceparm nolightmap
	portal
	{
		map textures/ironman/camera.tga
 		blendFunc GL_ONE GL_ONE
		depthWrite
		alphaGen portal 2048
    }
}

textures/ironman/ts3
{
	qer_editorimage textures/ironman/ts3.jpg
	q3map_lightimage textures/ironman/ts3.blend.jpg
	surfaceparm nomarks
    surfaceparm nodamage
	q3map_surfacelight 4000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ironman/ts3.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{	
		map textures/ironman/ts3.blend.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/ironman/grillage
{	
    	qer_editorimage textures/ironman/grillage.tga

	surfaceparm trans
	surfaceparm slick
	surfaceparm alphashadow
   	surfaceparm nomarks	
	cull front
        nopicmip
	{
		map textures/ironman/grillage.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ironman/sky
{
      surfaceparm noimpact
      surfaceparm nolightmap
      surfaceparm sky
      q3map_sun .5 .37 .19 255 255 255
      q3map_surfacelight 100
      skyparms env/ironman/sky - -
}
textures/ironman/sky2
{
      surfaceparm noimpact
      surfaceparm nolightmap
      surfaceparm sky
      q3map_sun .5 .37 .19 255 255 255
      q3map_surfacelight 0
      skyparms env/ironman/sky2 - -
}

textures/ironman/skyend
{
      surfaceparm noimpact
      surfaceparm nolightmap
      surfaceparm sky
      q3map_sun .5 .37 .19 255 255 255
      skyparms env/ironman/skyend - -
}
textures/ironman/skyb
{
      surfaceparm noimpact
      surfaceparm nolightmap
      surfaceparm sky
      q3map_sun .5 .37 .19 255 255 255
      q3map_surfacelight 100
      skyparms env/ironman/skyb - -
}

textures/ironman/armor
{
    qer_editorimage textures/ironman/armor.jpg
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
	q3map_surfacelight 200
	surfaceparm nodamage
    cull none  
	surfaceparm noimpact
	surfaceparm icy
    
    {
                animmap 3 textures/ironman/armor.jpg textures/ironman/armor.jpg textures/ironman/armor.jpg textures/ironman/armor.jpg textures/ironman/armor.jpg textures/ironman/armor.jpg
                blendfunc add
   }

 
  
}

textures/ironman/armor2
{
    qer_editorimage textures/ironman/armor2.jpg
	deformVertexes autoSprite
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
	q3map_surfacelight 30
	surfaceparm nodamage
    cull none  
	surfaceparm noimpact
	surfaceparm icy
    
    {
                animmap 3 textures/ironman/armor2.jpg textures/ironman/armor2.jpg textures/ironman/armor2.jpg textures/ironman/armor2.jpg textures/ironman/armor2.jpg textures/ironman/armor2.jpg
                blendfunc add
   }

 
  
}

textures/ironman/hammer
{
    qer_editorimage textures/ironman/hammer.jpg
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
	q3map_surfacelight 60
	surfaceparm nodamage
    cull none  
	surfaceparm noimpact
	surfaceparm icy
    
    {
                animmap 3 textures/ironman/hammer.jpg textures/ironman/hammer.jpg textures/ironman/hammer.jpg textures/ironman/hammer.jpg textures/ironman/hammer.jpg textures/ironman/hammer.jpg
                blendfunc add
   }

}

textures/ironman/hammer2
{
    qer_editorimage textures/ironman/hammer2.jpg
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
	q3map_surfacelight 0
	surfaceparm nodamage
    cull none  
	surfaceparm noimpact
	surfaceparm icy
    
    {
                animmap 3 textures/ironman/hammer2.jpg textures/ironman/hammer2.jpg textures/ironman/hammer2.jpg textures/ironman/hammer2.jpg textures/ironman/hammer2.jpg textures/ironman/hammer2.jpg
                blendfunc add
   }

 
}

textures/ironman/armor3
{
    qer_editorimage textures/ironman/armor3.jpg
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
	q3map_surfacelight 200
	surfaceparm nodamage
    cull none  
	surfaceparm noimpact
	surfaceparm icy
    
    {
                animmap 3 textures/ironman/armor3.jpg textures/ironman/armor3.jpg textures/ironman/armor3.jpg textures/ironman/armor3.jpg textures/ironman/armor3.jpg textures/ironman/armor3.jpg
                blendfunc add
   }

 
  
}

textures/ironman/stark3
{
    qer_editorimage textures/ironman/stark3.jpg
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
	q3map_surfacelight 200
	surfaceparm nodamage
    cull none  
	surfaceparm noimpact
	surfaceparm icy
    {
                animmap 3 textures/ironman/stark3.jpg 
                blendfunc add
   }
 
}

textures/ironman/stark4
{
    qer_editorimage textures/ironman/stark4.jpg
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
	q3map_surfacelight 200
	surfaceparm nodamage
    cull none  
	surfaceparm noimpact
	surfaceparm icy
    {
                animmap 3 textures/ironman/stark4.jpg 
                blendfunc add
   }
 
}

textures/ironman/stark6
{
    qer_editorimage textures/ironman/stark6.jpg
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
	q3map_surfacelight 1100
	surfaceparm nodamage
    cull none  
	surfaceparm noimpact
	surfaceparm icy
    {
                animmap 3 textures/ironman/stark6.jpg 
                blendfunc add
   }
 
}

textures/ironman/expo
{
    qer_editorimage textures/ironman/expo.jpg
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
	q3map_surfacelight 500
	surfaceparm nodamage
    cull none  
	surfaceparm noimpact
	surfaceparm icy
    {
                animmap 3 textures/ironman/expo.jpg 
                blendfunc add
   }
 
}

textures/ironman/mapend
{
    qer_editorimage textures/ironman/mapend.jpg
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
	q3map_surfacelight 500
	surfaceparm nodamage
    cull none  
	surfaceparm noimpact
	surfaceparm icy
    {
                animmap 3 textures/ironman/mapend.jpg 
                blendfunc add
   }
 
}

textures/ironman/mku
{
    qer_editorimage textures/ironman/mku.jpg
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
	q3map_surfacelight 600
	surfaceparm nodamage
    cull none  
	surfaceparm noimpact
	surfaceparm icy
    {
                animmap 3 textures/ironman/mku.jpg 
                blendfunc add
   }
 
}

textures/ironman/iron-lighted
{
	qer_editorimage textures/ironman/iron-lighted.jpg 
	q3map_lightimage textures/ironman/iron-lighted.blend.jpg 
	surfaceparm nomarks
    surfaceparm nodamage
	q3map_surfacelight 4000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ironman/iron-lighted.jpg 
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{	
		map textures/ironman/iron-lighted.blend.jpg 
		blendfunc GL_ONE GL_ONE
	}
}

textures/ironman/road
{
    surfaceparm nodamage
    {
    map textures/ironman/road.jpg
    }
    {
        map $lightmap
        blendfunc filter
    }	
}

textures/ironman/green-iron
{
    surfaceparm nodamage
    {
    map textures/ironman/green-iron.jpg
    }
    {
        map $lightmap
        blendfunc filter
    }	
}
textures/ironman/iron
{
    surfaceparm nodamage
    {
    map textures/ironman/iron.jpg
    }
    {
        map $lightmap
        blendfunc filter
    }	
}

textures/ironman/light-iron
{
    surfaceparm nodamage
    {
    map textures/ironman/light-iron.jpg
    }
    {
        map $lightmap
        blendfunc filter
    }	
}

textures/ironman/red-iron
{
    surfaceparm nodamage
    {
    map textures/ironman/red-iron.jpg
    }
    {
        map $lightmap
        blendfunc filter
    }	
}

textures/ironman/black-iron
{
    surfaceparm nodamage
    {
    map textures/ironman/black-iron.jpg
    }
    {
        map $lightmap
        blendfunc filter
    }	
}

textures/ironman/asphalt
{
    surfaceparm nodamage
	surfaceparm slick
    {
    map textures/ironman/asphalt.jpg
    }
    {
        map $lightmap
        blendfunc filter
    }	
}

textures/ironman/asphalt2
{
    surfaceparm nodamage
	surfaceparm slick
    {
    map textures/ironman/asphalt2.jpg
    }
    {
        map $lightmap
        blendfunc filter
    }	
}

textures/ironman/white
{
    surfaceparm nodamage
    {
    map textures/ironman/white.jpg
    }
    {
        map $lightmap
        blendfunc filter
    }	
}

textures/ironman/weapon
{
    surfaceparm nodamage
    {
    map textures/ironman/weapon.jpg
    }
    {
        map $lightmap
        blendfunc filter
    }	
}

textures/ironman/sand
{
    surfaceparm nodamage
    {
    map textures/ironman/sand.jpg
    }
    {
        map $lightmap
        blendfunc filter
    }	
}

textures/ironman/wall
{
    surfaceparm nodamage
    {
    map textures/ironman/wall.jpg
    }
    {
        map $lightmap
        blendfunc filter
    }	
}

textures/ironman/tissu
{
    surfaceparm nodamage
    {
    map textures/ironman/tissu.jpg
    tcmod scale .5 .5
	tcmod transform 1.5 0 3 2 3 5
	tcmod scroll -.05 .001
	}
    {
        map $lightmap
        blendfunc filter
    }	
}



textures/ironman/wall1
{
    surfaceparm nodamage
    {
    map textures/ironman/wall1.jpg
    }
    {
        map $lightmap
        blendfunc filter
    }	
}

textures/ironman/wall2
{
    surfaceparm nodamage
    {
    map textures/ironman/wall2.jpg
    }
    {
        map $lightmap
        blendfunc filter
    }	
}

textures/ironman/pad2
{
    qer_editorimage textures/ironman/pad2.jpg
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
	q3map_surfacelight 2000
	surfaceparm nodamage
    cull none  
	surfaceparm noimpact
	surfaceparm icy
    
    {
                animmap 3 textures/ironman/pad2.blend.jpg textures/ironman/pad2.blend.jpg textures/ironman/pad2.blend.jpg textures/ironman/pad2.blend.jpg textures/ironman/pad2.blend.jpg textures/ironman/pad2.blend.jpg
                blendfunc add
   }

 
  
}

textures/ironman/pad
{
	qer_editorimage textures/ironman/pad.jpg
	q3map_lightimage textures/ironman/pad.blend.jpg
	surfaceparm nomarks
    surfaceparm nodamage
	q3map_surfacelight 1000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ironman/pad.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{	
		map textures/ironman/pad.blend.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/ironman/pad3
{
	qer_editorimage textures/ironman/pad.jpg
	q3map_lightimage textures/ironman/pad.blend.jpg
	surfaceparm nomarks
    surfaceparm nodamage
	q3map_surfacelight 1000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ironman/pad.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
		tcmod scale .5 .5
		tcmod transform 1.5 0 1.5 1 1 2
		tcmod scroll -.05 .001
	}
	{	
		map textures/ironman/pad.blend.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/ironman/ordi1
{
	qer_editorimage textures/ironman/ordi1.jpg
	q3map_lightimage textures/ironman/ordi1.blend.jpg
	surfaceparm nomarks
    surfaceparm nodamage
	q3map_surfacelight 4000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ironman/ordi1.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{	
		map textures/ironman/ordi1.blend.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/ironman/ordi2
{
	qer_editorimage textures/ironman/ordi2.jpg
	q3map_lightimage textures/ironman/ordi2.blend.jpg
	surfaceparm nomarks
    surfaceparm nodamage
	q3map_surfacelight 4000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ironman/ordi2.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{	
		map textures/ironman/ordi2.blend.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/ironman/ordi3
{
	qer_editorimage textures/ironman/ordi3.jpg
	q3map_lightimage textures/ironman/ordi3.blend.jpg
	surfaceparm nomarks
    surfaceparm nodamage
	q3map_surfacelight 4000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ironman/ordi3.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{	
		map textures/ironman/ordi3.blend.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/ironman/tv
{
	qer_editorimage textures/ironman/tv.jpg
	q3map_lightimage textures/ironman/tv.blend.jpg
	surfaceparm nomarks
    surfaceparm nodamage
	q3map_surfacelight 4000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ironman/tv.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{	
		map textures/ironman/tv.blend.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/ironman/tv2
{
	qer_editorimage textures/ironman/tv.jpg
	q3map_lightimage textures/ironman/tv.blend.jpg
	surfaceparm nomarks
    	surfaceparm nodamage
	q3map_surfacelight 1000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ironman/tv.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{	
		map textures/ironman/tv.blend.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/ironman/white2
{
	qer_editorimage textures/ironman/white2.jpg
	q3map_lightimage textures/ironman/white2.blend.jpg
	surfaceparm nomarks
    surfaceparm nodamage
	q3map_surfacelight 1300
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ironman/white2.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{	
		map textures/ironman/white2.blend.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/ironman/chrome
{
    qer_editorimage textures/ironman/chrome.tga
        qer_trans .75
        surfaceparm alphashadow
        surfaceparm nodamage
		surfaceparm nolightmap
        surfaceparm slick
        surfaceparm nomarks
        surfaceparm trans
        {
            map textures/ironman/chrome.tga
            blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
            rgbGen identity
        }
        {
            map textures/ironman/platform_tint2.tga
            blendFunc GL_DST_COLOR GL_ONE
            rgbGen identity
            tcGen environment
            tcMod scale 2 2
        }
        {
            map textures/ironman/platform_tint2.tga
            blendFunc GL_DST_COLOR GL_ONE
            rgbGen identity
            tcGen environment
            tcMod scale 2 2
        }
        {
            map $lightmap
            blendFunc GL_DST_COLOR GL_ZERO
            rgbGen identity
        }
}

